io.vertx.rxjava.sqlclient

## Class Transaction

- java.lang.Object
- - io.vertx.rxjava.sqlclient.Transaction

-     public class Transaction
      extends Object

  A transaction.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Transaction>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transaction(Object delegate)`
    `Transaction(Transaction delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()` Like `commit(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction commit has completed
    `void` | `commit(Handler<AsyncResult<Void>> handler)` Like `commit(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction commit has completed
    `void` | `completion()` Like `completion(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with a callback
    `void` | `completion(Handler<AsyncResult<Void>> handler)` Like `completion(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with a callback
    `boolean` | `equals(Object o)`
    `Transaction` | `getDelegate()`
    `int` | `hashCode()`
    `static Transaction` | `newInstance(Transaction arg)`
    `void` | `rollback()` Like `rollback(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction rollback has completed
    `void` | `rollback(Handler<AsyncResult<Void>> handler)` Like `rollback(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction rollback has completed
    `Single<Void>` | `rxCommit()` Like `commit(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction commit has completed
    `Single<Void>` | `rxCompletion()` Like `completion(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with a callback
    `Single<Void>` | `rxRollback()` Like `rollback(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction rollback has completed
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Transaction> __TYPE_ARG

  - ### Constructor Detail

    - #### Transaction

          public Transaction(Transaction delegate)

    - #### Transaction

          public Transaction(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Transaction getDelegate()

    - #### commit

          public void commit(Handler<AsyncResult<Void>> handler)

      Like `commit(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction commit has completed
      Parameters:
        `handler` -

    - #### commit

          public void commit()

      Like `commit(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction commit has completed

    - #### rxCommit

          public Single<Void> rxCommit()

      Like `commit(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction commit has completed
      Returns:

    - #### rollback

          public void rollback(Handler<AsyncResult<Void>> handler)

      Like `rollback(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction rollback has completed
      Parameters:
        `handler` -

    - #### rollback

          public void rollback()

      Like `rollback(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction rollback has completed

    - #### rxRollback

          public Single<Void> rxRollback()

      Like `rollback(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` with an handler to be notified when the transaction rollback has completed
      Returns:

    - #### completion

          public void completion(Handler<AsyncResult<Void>> handler)

      Like `completion(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with a callback
      Parameters:
        `handler` -

    - #### completion

          public void completion()

      Like `completion(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with a callback

    - #### rxCompletion

          public Single<Void> rxCompletion()

      Like `completion(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but with a callback
      Returns:

    - #### newInstance

          public static Transaction newInstance(Transaction arg)

Copyright © 2022 Eclipse. All rights reserved.